This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470681 - xrandr causing screen flickering on 915GM laptop
xrandr causing screen flickering on 915GM laptop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 15:21 EST by Austin Foxley
Modified: 2009-09-05 13:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-05 13:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
from current session (133.35 KB, text/plain)
2008-11-08 15:23 EST, Austin Foxley
no flags Details

  None (edit)
Description Austin Foxley 2008-11-08 15:21:04 EST
Description of problem:
I'm seeing reproducible screen flickering on my rawhide laptop with a 915GM intel chip. It happens when gdm starts, when I start any wine app, and when I run 'xrandr' from the terminal.

From lspci:
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.5.0-1.fc10.i386

How reproducible:
Easiest way to see it is to just run xrandr.
  
Actual results:
Screen flickering. Seems to cause the background picture to break up and jump all around the screen. It doesn't go black, just does strange things to the image currently displaying.


Expected results:
No wacky flickering.

Let me know if anything else is needed. 

Oh, on a slightly offtopic question, I was wondering if I am supposed to be seeing pretty kernel modesetting on this hardware. ( Right now I'm just seeing the text mode plymouth startup )

Thanks!
Comment 1 Austin Foxley 2008-11-08 15:23:11 EST
Created attachment 322968 [details]
from current session
Comment 2 Matěj Cepl 2008-11-08 19:14:04 EST
Chmm, in the very end of the log is this line:

(EE) intel(0): underrun on pipe B!

Might be interesting.

And no, there is no kernel modesetting for intel chips, yet. As soon as it is available, it will be provided for Fedora 10 as update. Should happen soon.
Comment 3 Bug Zapper 2008-11-26 00:03:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 dima 2008-12-23 14:30:21 EST
I have the same.
Comment 5 Austin Foxley 2009-09-05 13:51:48 EDT
This is fixed for me in Fedora 11.

Note You need to log in before you can comment on or make changes to this bug.